LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices

Reply
 
Search this Thread
Old 02-15-2004, 11:05 AM   #1
cedric_b
LQ Newbie
 
Registered: Oct 2003
Posts: 3

Rep: Reputation: 0
Trying to install mtv-1.0.6.8-1.i386.rpm on redhat 9


I changed directory to where is the rpm file and then rpm -i mtv-1.0.6.8-1.i386.rpm
-> error: Failed dependencies:
libforms.so.0.88 is needed by mtv-1.0.6.8-1
So I downloaded libforms.so.0.88 that I put in the same directory.
I created a few symbolic links to libforms.so.0.88 in /usr/X11R6/lib , /usr/lib, and /lib and tried again. That didn't work. I copied in /etc/ld.so.conf the name of the directory of mtv-1.0.6.8-1.i386.rpm, executed ldconfig and tried again, that doesn't work.
I added to LD_LIBRARY_PATH the name of the directories where is the file and the symbolic links, without success.
I used strace to guess what was the full name of the file rpm tried to open, to know the place where rpm expects to find libforms.so.0.88, but I can't find it in the strace output file.
Well, , now I don't know really what to do ?
The only idea that I still have is to find the sources of rpm program, compile it with symbols for gdb and run the command " rpm -i mtv-1.0.6.8-1.i386.rpm within gdb and find where it blocks.
Someone has certainly the simple, quick and elegant clue to my problem, no ?
Thanks,
CÚdric
 
Old 02-15-2004, 11:20 AM   #2
DrOzz
Senior Member
 
Registered: May 2003
Location: Sydney, Nova Scotia, Canada
Distribution: slackware
Posts: 4,185

Rep: Reputation: 59
when you say you downloaded libforms.so.0.88, do you mean you just went and download that specific file, or did you download and install the xforms-0.88 package ?
 
Old 02-17-2004, 04:43 PM   #3
cedric_b
LQ Newbie
 
Registered: Oct 2003
Posts: 3

Original Poster
Rep: Reputation: 0
Actually, I just downloaded the library on its own.
Should I have installed the package xforms-0.88 ?
I'll have a try in a few minutes, thanks for the hint
CÚdric
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
redhat based rpm Rpms i386 why not i686?? SSBN Linux - Software 9 06-26-2005 08:17 PM
Some problem install wx-gtk2-2.5.2-1.i386.rpm south_river Linux - Software 0 07-24-2004 09:34 PM
Redhat Enterprise AS, php-mysql-4.3.3-4.1.i386.rpm, mysql_connect() error apradhan Linux - Distributions 0 02-18-2004 03:11 PM
Cannot install sharutils-4.2.1-14.i386.rpm Shantanu Gon Linux - General 0 02-06-2004 06:14 AM
installing samba-3.0alpha24-1.i386.rpm into RedHat 8 and RedHat 9 Linh Linux - Newbie 2 06-04-2003 05:50 AM


All times are GMT -5. The time now is 06:58 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration